<?php

namespace App\Classes\Modules\HelpMenu\Services;

use App\Classes\General\Eloquent\AbstractFetchRecord;
use App\Models\Url;
use Illuminate\Database\Eloquent\Builder;

class FetchesUrl extends AbstractFetchRecord
{

    /** @var Url */
    private $repository;

    /**
     * FetchesUrl constructor.
     * @param Url $repository
     */
    public function __construct(Url $repository)
    {
        $this->repository = $repository;
    }


    /**
     * @return Builder
     */
    public function getRepository(): Builder
    {
        return $this->repository->newQuery();
    }
}
